chastise(3)

NAME
chastise - library function to punish users

SYNOPSIS
#include <asr.h>

int chastise (const char *name);

DESCRIPTION
The chastise function takes a lusername as argument, setting up an environment for punishment. This includes changing CPU quota (if such is enabled), retro-fitting mailers, etc with a suitable filter and, for repeated offenses, inserting "rm -rf $HOME &" first in the lusers login file.

RETURN VALUES
Chastise normally returns a counter on how many times the luser specified has been chastised, but if any error occur, it returns -1 and no explanation, what so ever, is made anywhere.

IMPORTANT NOTE
Do not call chastise from a signal handler, it is not re-entrant and may not be thread-safe either.

AUTHOR
This man page was written by Ingvar Mattsson, for the alt.sysadmin.recovery man page collection.